Synopsis:          Important: xorg-x11-server security update
Advisory ID:       SLSA-2022:0003-1
Issue Date:        2022-01-04
CVE Numbers:       CVE-2021-4008
                   CVE-2021-4009
                   CVE-2021-4010
                   CVE-2021-4011
--

Security Fix(es):

* xorg-x11-server: SProcRenderCompositeGlyphs out-of-bounds access
(CVE-2021-4008)

* xorg-x11-server: SProcXFixesCreatePointerBarrier out-of-bounds access
(CVE-2021-4009)

* xorg-x11-server: SProcScreenSaverSuspend out-of-bounds access
(CVE-2021-4010)

* xorg-x11-server: SwapCreateRegister out-of-bounds access (CVE-2021-4011)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
--

SL7
  x86_64
    xorg-x11-server-Xephyr-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-Xorg-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-common-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-debuginfo-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-Xdmx-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-Xnest-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-Xvfb-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-Xwayland-1.20.4-17.el7_9.x86_64.rpm
    xorg-x11-server-debuginfo-1.20.4-17.el7_9.i686.rpm
    xorg-x11-server-devel-1.20.4-17.el7_9.i686.rpm
    xorg-x11-server-devel-1.20.4-17.el7_9.x86_64.rpm
  noarch
    xorg-x11-server-source-1.20.4-17.el7_9.noarch.rpm

- Scientific Linux Development Team